Bug 138439 - re_compile_pattern segfault
Summary: re_compile_pattern segfault
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-09 10:27 UTC by Tim Waugh
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 13:26:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:256 high SHIPPED_LIVE Low: glibc security update 2005-05-18 04:00:00 UTC

Description Tim Waugh 2004-11-09 10:27:23 UTC
Description of problem:
This program segfaults:

#include <regex.h>
#include <stdlib.h>
int main ()
{
        struct re_pattern_buffer *buf;
        buf = malloc (sizeof (struct re_pattern_buffer));
        re_set_syntax (RE_SYNTAX_GREP | RE_HAT_LISTS_NOT_NEWLINE);
        return !!re_compile_pattern ("\\(\\b\\)\\{0\\}", 11, buf);
}

Version-Release number of selected component (if applicable):
glibc-2.3.3-74

How reproducible:
100%

Comment 1 Tim Waugh 2004-11-09 10:48:02 UTC
Still segfaults after adding:

memset (buf, 0, sizeof (*buf));

after the malloc line.

Comment 3 Jakub Jelinek 2004-11-10 13:26:56 UTC
Fixed in glibc-2.3.3-76

Comment 4 Jakub Jelinek 2004-12-23 21:14:54 UTC
Fix added to glibc-2.3.2-95.31, for the time being available from
ftp://people.redhat.com/jakub/glibc/2.3.2-95.31/


Comment 5 Tim Powers 2005-05-18 13:59:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-256.html



Note You need to log in before you can comment on or make changes to this bug.